export PATH=$(dirname $0):/bin:/usr/bin:/sbin
-cronstopstart="/etc/init.d/cron"
-
# source the default configuration
. config.sh
renice -10 $$
# Burn the image to a disk.
-cdrecord-wrapper.sh -dao dev=$sdev $img > $logfile 2>&1
+cdrecord-wrapper.sh $cdrecordopts dev=$sdev $img > $logfile 2>&1
if [ "0" != "$?" ]; then
echo >&2 "cdrecord failed!"
+ $cronstopstart start
+ cat $logfile | grep -v "MB written" | grep -v "to quit" | mailx -s "backups: failed to burn $img!!!" $mailto
exit 1
fi
# Check that the md5sums match
if ! cmp $md5sum $img.md5sum; then
- echo "Failed" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
+ echo "md5sum check FAILED" >> $logfile
+ cat $logfile | grep -v "MB written" | grep -v "to quit" | mailx -s "DVD md5sum doesn't match image file!!!" $mailto
exit 1
fi
cat $img.stat
echo
cat $logfile
-} | mailx -s "DVD burned. File as $(basename ${img%.*})" $mailto > $logfile 2>&1
+} | grep -v "MB written" | grep -v "to quit" | mailx -s "DVD burned. File as $(basename ${img%.*})" $mailto > $logfile 2>&1
# Two lines in the stat file indicate two successful burns. Clean-up the image.
-if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "2" ]; then
+if [ "$(wc -l $img.stat 2>/dev/null | awk '{print$1}')" == "$makeXcopies" ]; then
# Burned the image twice. Removing it and associated files!
rm -f $img{,.md5sum,.stat}
[ -d $img.mnt ] && rmdir $img.mnt
sdev="ATA:1,0,0"
noburnfile="$imagedir/noburn"
backupeveryXdays=15
+makeXcopies=2
+cdrecordopts="-v -dao"
+cronstopstart="/etc/init.d/cron"
# These are exported so lsbackups can have access to them
export backupdbin="$datadir/backups.db"